Get a single rule by UUID
curl --request GET \
--url https://{subdomain}.mihu.ai/api/v1/rules/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.mihu.ai/api/v1/rules/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.mihu.ai/api/v1/rules/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Rule retrieved successfully",
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Aggressive call rule",
"max_calls_per_day": 3,
"max_total_calls": 10,
"retry_interval_minutes": 120,
"start_time": "09:00:00",
"end_time": "18:00:00",
"dnc_check": true,
"remove_on_opt_out": true,
"escalation_after_failed_attempts": 0,
"escalation_type": "<string>",
"escalation_target": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Rules
Get a single rule by UUID
Returns one campaign contact rule by UUID, including type, retry limits, retry interval, allowed working hours, escalation behavior, and active state. Use this before attaching a rule to a campaign or before updating cadence settings.
GET
/
api
/
v1
/
rules
/
{uuid}
Get a single rule by UUID
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Path Parameters
UUID of the rule to retrieve.
⌘I
